@import 'variables';

html {
  font-size: @base-font-size;
}

body {
  font-family: @font-family;
  font-size: 1em;
  background-color: @gray;
  color: @text-color;
}

h1 {
  font-size: 2.4em;
}

h2 {
  font-size: 2em;
}

h3 {
  font-size: 1.6em;
}

p {
  font-size: 1.3em;
}

h1,
h2,
h3,
p {
  margin: 0;
}

ul {
  list-style: none;
  margin: 0;
  padding: 0;
}

h1,
h2 {
  margin: @base-margin 0;
  text-transform: uppercase;
}
.hr {
  border: 2px solid @gray-border-color;
}
.gray-block {
  background-color: @gray;
}
.container {
  max-width: @base-font-size*97;
  min-width: @base-font-size*50;
  margin: auto;
  background-color: @white;
  padding: @base-padding*2;
  padding-top: 0;
  header {
    @avatar-hegiht: @base-font-size*16;
    text-align: center;
    margin-top: @avatar-hegiht / 2 + @base-margin;
    h1 {
      margin: @base-margin;
    }
    .avatar {
      width: @avatar-hegiht;
      margin-top: -$width/2;
      border-radius: $width/2;
    }
  }
  main {
    margin: @base-margin;
    h2 {
      color: @primary-color;
    }
    #educations section {
      margin: @base-margin 0;
      &:last-of-type {
        margin: 0;
      }
      @year-width: @base-font-size*10;
      .year {
        float: left;
        width: @year-width;
      }
      .detail {
        h3 {
          padding-bottom: @base-padding;
        }
        margin-left: @year-width;
        padding: @base-padding;
      }
    }
  }
}
